
---

![Logo](docs/assets/KnowStreamingLogo.png)

**一站式`Apache Kafka`集群指标监控与运维管控平台**

--- 


## v2.6.0

版本上线时间：2022-01-24

### 能力提升
- 增加简单回退工具类

### 体验优化
- 补充周期任务说明文档
- 补充集群安装部署使用说明文档
- 升级Swagger、SpringFramework、SpringBoot、EChats版本
- 优化Task模块的日志输出
- 优化corn表达式解析失败后退出无任何日志提示问题
- Ldap用户接入时，增加部门及邮箱信息等
- 对Jmx模块，增加连接失败后的回退机制及错误日志优化
- 增加线程池、客户端池可配置
- 删除无用的jmx_prometheus_javaagent-0.14.0.jar
- 优化迁移任务名称
- 优化创建Region时，Region容量信息不能立即被更新问题
- 引入lombok
- 更新视频教程
- 优化kcm_script.sh脚本中的LogiKM地址为可通过程序传入
- 第三方接口及网关接口，增加是否跳过登录的开关
- extends模块相关配置调整为非必须在application.yml中配置

### bug修复
- 修复批量往DB写入空指标数组时报SQL语法异常的问题
- 修复网关增加配置及修改配置时，version不变化问题
- 修复集群列表页，提示框遮挡问题
- 修复对高版本Broker元信息协议解析失败的问题
- 修复Dockerfile执行时提示缺少application.yml文件的问题
- 修复逻辑集群更新时，会报空指针的问题


## v2.5.0

版本上线时间：2021-07-10

### 体验优化
- 更改产品名为LogiKM
- 更新产品图标


## v2.4.1+

版本上线时间：2021-05-21

### 能力提升
- 增加直接增加权限和配额的接口(v2.4.1)
- 增加接口调用可绕过登录的功能(v2.4.1)

### 体验优化
- Tomcat 版本提升至8.5.66(v2.4.2)
- op接口优化，拆分util接口为topic、leader两类接口(v2.4.1)
- 简化Gateway配置的Key长度(v2.4.1)

### bug修复
- 修复页面展示版本错误问题(v2.4.2)


## v2.4.0

版本上线时间：2021-05-18


### 能力提升

- 增加App与Topic自动化审批开关
- Broker元信息中增加Rack信息
- 升级MySQL 驱动，支持MySQL 8+
- 增加操作记录查询界面

### 体验优化

- FAQ告警组说明优化
- 用户手册共享及 独享集群概念优化
- 用户管理界面，前端限制用户删除自己

### bug修复

- 修复op-util类中创建Topic失败的接口
- 周期同步Topic到DB的任务修复，将Topic列表查询从缓存调整为直接查DB
- 应用下线审批失败的功能修复，将权限为0(无权限)的数据进行过滤
- 修复登录及权限绕过的漏洞
- 修复研发角色展示接入集群、暂停监控等按钮的问题


## v2.3.0

版本上线时间：2021-02-08


### 能力提升

- 新增支持docker化部署
- 可指定Broker作为候选controller
- 可新增并管理网关配置
- 可获取消费组状态
- 增加集群的JMX认证  

### 体验优化

- 优化编辑用户角色、修改密码的流程
- 新增consumerID的搜索功能
- 优化“Topic连接信息”、“消费组重置消费偏移”、“修改Topic保存时间”的文案提示
- 在相应位置增加《资源申请文档》链接 

### bug修复

- 修复Broker监控图表时间轴展示错误的问题
- 修复创建夜莺监控告警规则时，使用的告警周期的单位不正确的问题



## v2.2.0

版本上线时间：2021-01-25



### 能力提升

- 优化工单批量操作流程 
- 增加获取Topic75分位/99分位的实时耗时数据
- 增加定时任务，可将无主未落DB的Topic定期写入DB

### 体验优化

- 在相应位置增加《集群接入文档》链接
- 优化物理集群、逻辑集群含义
- 在Topic详情页、Topic扩分区操作弹窗增加展示Topic所属Region的信息
- 优化Topic审批时，Topic数据保存时间的配置流程
- 优化Topic/应用申请、审批时的错误提示文案
- 优化Topic数据采样的操作项文案
- 优化运维人员删除Topic时的提示文案
- 优化运维人员删除Region的删除逻辑与提示文案
- 优化运维人员删除逻辑集群的提示文案
- 优化上传集群配置文件时的文件类型限制条件

### bug修复

- 修复填写应用名称时校验特殊字符出错的问题
- 修复普通用户越权访问应用详情的问题
- 修复由于Kafka版本升级，导致的数据压缩格式无法获取的问题
- 修复删除逻辑集群或Topic之后，界面依旧展示的问题
- 修复进行Leader rebalance操作时执行结果重复提示的问题


## v2.1.0

版本上线时间：2020-12-19



### 体验优化

- 优化页面加载时的背景样式
- 优化普通用户申请Topic权限的流程
- 优化Topic申请配额、申请分区的权限限制
- 优化取消Topic权限的文案提示
- 优化申请配额表单的表单项名称
- 优化重置消费偏移的操作流程
- 优化创建Topic迁移任务的表单内容
- 优化Topic扩分区操作的弹窗界面样式
- 优化集群Broker监控可视化图表样式
- 优化创建逻辑集群的表单内容
- 优化集群安全协议的提示文案

### bug修复

- 修复偶发性重置消费偏移失败的问题




