
![Logo](../assets/KnowStreamingLogo.png)

## 登录绕过

### 背景

现在除了开放出来的第三方接口，其他接口都需要走登录认证。

但是第三方接口不多，开放出来的能力有限，但是登录的接口又需要登录，非常的麻烦。

因此，新增了一个登录绕过的功能，为一些紧急临时的需求，提供一个调用不需要登录的能力。

### 使用方式

步骤一：接口调用时，在header中，增加如下信息：
```shell
# 表示开启登录绕过
Trick-Login-Switch : on

# 登录绕过的用户, 这里可以是admin, 或者是其他的, 但是必须在运维管控->平台管理->用户管理中设置了该用户。
Trick-Login-User : admin
```

&nbsp;

步骤二：在运维管控->平台管理->平台配置上，设置允许了该用户以绕过的方式登录
```shell
# 设置的key，必须是这个
SECURITY.TRICK_USERS

# 设置的value，是json数组的格式，例如
[ "admin", "logi"]
```

&nbsp;

步骤三：解释说明

设置完成上面两步之后，就可以直接调用需要登录的接口了。

但是还有一点需要注意，绕过的用户仅能调用他有权限的接口，比如一个普通用户，那么他就只能调用普通的接口，不能去调用运维人员的接口。

