## 版本升级说明

### `2.x`版本 升级至 `3.0.0`版本

**升级步骤：**

1. 依旧使用**`2.x 版本的 DB`**，在上面初始化 3.0.0 版本所需数据库表结构及数据；
2. 将 2.x 版本中的集群，在 3.0.0 版本，手动逐一接入；
3. 将 Topic 业务数据，迁移至 3.0.0 表中，详见下方 SQL；

**注意事项**

- 建议升级 3.0.0 版本过程中，保留 2.x 版本的使用，待 3.0.0 版本稳定使用后，再下线 2.x 版本；
- 3.0.0 版本仅需要`集群信息`及`Topic的描述信息`。2.x 版本的 DB 的其他数据 3.0.0 版本都不需要；
- 部署 3.0.0 版本之后，集群、Topic 等指标数据都为空，3.0.0 版本会周期进行采集，运行一段时间之后就会有该数据了，因此不会将 2.x 中的指标数据进行迁移；

**迁移数据**

```sql
-- 迁移Topic的备注信息。
-- 需在 3.0.0 部署完成后，再执行该SQL。
-- 考虑到 2.x 版本中还存在增量数据，因此建议改SQL周期执行，是的增量数据也能被迁移至 3.0.0 版本中。

UPDATE ks_km_topic
    INNER JOIN
    (SELECT
        topic.cluster_id AS cluster_id,
        topic.topic_name AS topic_name,
        topic.description AS description
    FROM topic WHERE description != ''
    ) AS t

    ON ks_km_topic.cluster_phy_id = t.cluster_id
        AND ks_km_topic.topic_name = t.topic_name
        AND ks_km_topic.id > 0
SET ks_km_topic.description = t.description;
```
